# GENPOT

Section can be repeated.

This section specifies the input parameters for a generic potential type. A functional form is specified. Mathematical Operators recognized are +, -, *, /, ** or alternatively ^, whereas symbols for brackets must be (). The function parser recognizes the (single argument) Fortran 90 intrinsic functions abs, exp, log10, log, sqrt, sinh, cosh, tanh, sin, cos, tan, asin, acos, atan, erf, erfc. Parsing for intrinsic functions is not case sensitive. [Edit on GitHub]

## Keywords

- ATOMS

- FUNCTION

- PARAMETERS

- RCUT

- RMAX

- RMIN

- UNITS

- VALUES

- VARIABLES

## Keyword descriptions

ATOMS: string[2]

  Usage: ATOMS {KIND1} {KIND2}

  Defines the atomic kind involved in the generic potential [Edit on GitHub]

FUNCTION: string

  Usage: FUNCTION aEXP(-bx^2)/x+D*log10(x)

  Specifies the functional form in mathematical notation. [Edit on GitHub]

PARAMETERS: string[ ]

  Keyword can be repeated.

  Usage: PARAMETERS a b D

  Defines the parameters of the functional form [Edit on GitHub]

RCUT: real = 1.00000000E+001 [angstrom]

  Usage: RCUT {real}

  Defines the cutoff parameter of the generic potential [Edit on GitHub]

RMAX: real = [angstrom]

  Usage: RMAX {real}

  Defines the upper bound of the potential. If not set the range is the full range generate by the spline [Edit on GitHub]

RMIN: real = [angstrom]

  Usage: RMIN {real}

  Defines the lower bound of the potential. If not set the range is the full range generate by the spline [Edit on GitHub]

UNITS: string[ ]

  Keyword can be repeated.

  Usage: UNITS angstrom eV*angstrom^-1 angstrom^1 K

  Optionally, allows to define valid CP2K unit strings for each parameter value. It is assumed that the corresponding parameter value is specified in this unit. [Edit on GitHub]

VALUES: real[ ] = [internal_cp2k]

  Keyword can be repeated.

  Usage: VALUES

  Defines the values of parameter of the functional form [Edit on GitHub]

VARIABLES: string[ ]

  Usage: VARIABLES x

  Defines the variable of the functional form. [Edit on GitHub]